%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Load observational data
%
UVOF=['en361.m3d'];
%
[UVO,gridname,year,ncol,gmt]=read_obs(UVOF);

%
tallfigure;
%
   hold on
   hp=plot(UVO(:,1),UVO(:,4),'b--');
   hp=plot(UVO(:,1),UVO(:,5),'r-');

   legend('Obs U','Obs V');
   ylabel('Velocity (m/s)');
   title(['EN361 rms velocity = ',num2str(rms(UVO(:,4)+sqrt(-1)*UVO(:,5))),' m/s']);

xlabel('Time (ydgmt0)');
%
% Vector plots of observational and model results
%
tallfigure;
%
% plotbnd(gridstruct);
axis([-75 -65 28 42]);
% axis('square');set(gca,'XTick',[]);set(gca,'YTick',[]);

hv=vecplot2(UVO(:,2),UVO(:,3),UVO(:,4),UVO(:,5),0.5,'m/s',230000.,-160000.);
set(hv,'color','blue');
title(verbatim(['Observations: RMS = ',num2str(rms(UVO(:,4)+sqrt(-1.0)*UVO(:,5))),' m/s']))

